Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.struts
Class StrutsPortletRenderContext

    java.lang.Object
      org.apache.portals.bridges.struts.StrutsPortletRenderContext

All Implemented Interfaces:
  Serializable

public class StrutsPortletRenderContext
extends Object
implements Serializable

StrutsPortletRenderContext

Version:
  $Id: StrutsPortletRenderContext.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Ate Douma
See Also:
  Serialized Form

Field Summary
`private org.apache.struts.action.ActionForm` | `actionForm`
`private boolean` | `dispatchNamed`
`private org.apache.struts.action.ActionMessages` | `errors`
`private org.apache.struts.action.ActionMessages` | `messages`
`private String` | `path`
`private boolean` | `requestCancelled`

Constructor Summary
`StrutsPortletRenderContext()`

Method Summary
`org.apache.struts.action.ActionForm` | `getActionForm()`
`boolean` | `getDispatchNamed()`
`org.apache.struts.action.ActionMessages` | `getErrors()`
`org.apache.struts.action.ActionMessages` | `getMessages()`
`String` | `getPath()`
`boolean` | `isRequestCancelled()`
`void` | `setActionForm(org.apache.struts.action.ActionForm actionForm)`
`void` | `setDispatchNamed(boolean namedPath)`
`void` | `setErrors(org.apache.struts.action.ActionMessages errors)`
`void` | `setMessages(org.apache.struts.action.ActionMessages messages)`
`void` | `setPath(String path)`
`void` | `setRequestCancelled(boolean requestCancelled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### path

    private String path

### dispatchNamed

    private boolean dispatchNamed

### actionForm

    private org.apache.struts.action.ActionForm actionForm

### requestCancelled

    private boolean requestCancelled

### messages

    private org.apache.struts.action.ActionMessages messages

### errors

    private org.apache.struts.action.ActionMessages errors

Constructor Detail

### StrutsPortletRenderContext

    public StrutsPortletRenderContext()

Method Detail

### getPath

    public String getPath()

### setPath

    public void setPath(String path)

### getDispatchNamed

    public boolean getDispatchNamed()

### setDispatchNamed

    public void setDispatchNamed(boolean namedPath)

### getActionForm

    public org.apache.struts.action.ActionForm getActionForm()

### setActionForm

    public void setActionForm(org.apache.struts.action.ActionForm actionForm)

### isRequestCancelled

    public boolean isRequestCancelled()

### setRequestCancelled

    public void setRequestCancelled(boolean requestCancelled)

### getMessages

    public org.apache.struts.action.ActionMessages getMessages()

### setMessages

    public void setMessages(org.apache.struts.action.ActionMessages messages)

### getErrors

    public org.apache.struts.action.ActionMessages getErrors()

### setErrors

    public void setErrors(org.apache.struts.action.ActionMessages errors)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.